package com.ruoyi.abuwx.mapper.exam;

import com.ruoyi.abuwx.domain.exam.ExmQuestionOption;

import java.util.List;

/**
 * 试题选项Mapper接口
 * 
 * @author ruoyi
 * @date 2024-05-17
 */
public interface ExmQuestionOptionMapper 
{
    /**
     * 查询试题选项
     * 
     * @param id 试题选项主键
     * @return 试题选项
     */
    public ExmQuestionOption selectExmQuestionOptionById(Long id);

    /**
     * 查询试题选项列表
     * 
     * @param exmQuestionOption 试题选项
     * @return 试题选项集合
     */
    public List<ExmQuestionOption> selectExmQuestionOptionList(ExmQuestionOption exmQuestionOption);

    /**
     * 新增试题选项
     * 
     * @param exmQuestionOption 试题选项
     * @return 结果
     */
    public int insertExmQuestionOption(ExmQuestionOption exmQuestionOption);

    /**
     * 修改试题选项
     * 
     * @param exmQuestionOption 试题选项
     * @return 结果
     */
    public int updateExmQuestionOption(ExmQuestionOption exmQuestionOption);

    /**
     * 删除试题选项
     * 
     * @param id 试题选项主键
     * @return 结果
     */
    public int deleteExmQuestionOptionById(Long id);

    /**
     * 批量删除试题选项
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteExmQuestionOptionByIds(Long[] ids);
}
